#ifndef KIplatform_syscall
#define KIplatform_syscall

enum k_platform_syscall {
	k_platform_syscall_fgetxattr = 10,
	k_platform_syscall_ioctl = 29,
	k_platform_syscall_getppid = 173,
	k_platform_syscall_getpgid = 155,
	k_platform_syscall_semctl = 191,
	k_platform_syscall_getpeername = 205,
	k_platform_syscall_clone = 220,
	k_platform_syscall_read = 63,
	k_platform_syscall_semget = 190,
	k_platform_syscall_setrlimit = 164,
	k_platform_syscall_getdents64 = 61,
	k_platform_syscall_seccomp = 277,
	k_platform_syscall_sync = 81,
	k_platform_syscall_setgid = 144,
	k_platform_syscall_listen = 201,
	k_platform_syscall_nfsservctl = 42,
	k_platform_syscall_sysinfo = 179,
	k_platform_syscall_semop = 193,
	k_platform_syscall_mremap = 216,
	k_platform_syscall_mknodat = 33,
	k_platform_syscall_pipe2 = 59,
	k_platform_syscall_llistxattr = 12,
	k_platform_syscall_personality = 92,
	k_platform_syscall_setns = 268,
	k_platform_syscall_readahead = 213,
	k_platform_syscall_connect = 203,
	k_platform_syscall_setdomainname = 162,
	k_platform_syscall_msgsnd = 189,
	k_platform_syscall_fallocate = 47,
	k_platform_syscall_fsetxattr = 7,
	k_platform_syscall_sendfile = 71,
	k_platform_syscall_pselect6 = 72,
	k_platform_syscall_flistxattr = 13,
	k_platform_syscall_exit = 93,
	k_platform_syscall_setuid = 146,
	k_platform_syscall_getsockname = 204,
	k_platform_syscall_sendto = 206,
	k_platform_syscall_unlinkat = 35,
	k_platform_syscall_ppoll = 73,
	k_platform_syscall_keyctl = 219,
	k_platform_syscall_preadv2 = 286,
	k_platform_syscall_ftruncate = 46,
	k_platform_syscall_lremovexattr = 15,
	k_platform_syscall_writev = 66,
	k_platform_syscall_chroot = 51,
	k_platform_syscall_getitimer = 102,
	k_platform_syscall_adjtimex = 171,
	k_platform_syscall_msgrcv = 188,
	k_platform_syscall_renameat2 = 276,
	k_platform_syscall_renameat = 38,
	k_platform_syscall_fsopen = 430,
	k_platform_syscall_getgroups = 158,
	k_platform_syscall_settimeofday = 170,
	k_platform_syscall_getcwd = 17,
	k_platform_syscall_capset = 91,
	k_platform_syscall_getsid = 156,
	k_platform_syscall_mbind = 235,
	k_platform_syscall_tgkill = 131,
	k_platform_syscall_accept = 202,
	k_platform_syscall_execve = 221,
	k_platform_syscall_listxattr = 11,
	k_platform_syscall_rseq = 293,
	k_platform_syscall_statx = 291,
	k_platform_syscall_readlinkat = 78,
	k_platform_syscall_fremovexattr = 16,
	k_platform_syscall_recvmmsg = 243,
	k_platform_syscall_shmctl = 195,
	k_platform_syscall_recvfrom = 207,
	k_platform_syscall_mount = 40,
	k_platform_syscall_getrlimit = 163,
	k_platform_syscall_fadvise64 = 223,
	k_platform_syscall_fchown = 55,
	k_platform_syscall_munmap = 215,
	k_platform_syscall_mprotect = 226,
	k_platform_syscall_mincore = 232,
	k_platform_syscall_ptrace = 117,
	k_platform_syscall_accept4 = 242,
	k_platform_syscall_socketpair = 199,
	k_platform_syscall_wait4 = 260,
	k_platform_syscall_getegid = 177,
	k_platform_syscall_shmget = 194,
	k_platform_syscall_socket = 198,
	k_platform_syscall_mmap = 222,
	k_platform_syscall_shmat = 196,
	k_platform_syscall_semtimedop = 192,
	k_platform_syscall_sigaltstack = 132,
	k_platform_syscall_uname = 160,
	k_platform_syscall_pwritev2 = 287,
	k_platform_syscall_shutdown = 210,
	k_platform_syscall_pread64 = 67,
	k_platform_syscall_times = 153,
	k_platform_syscall_getrusage = 165,
	k_platform_syscall_preadv = 69,
	k_platform_syscall_umount2 = 39,
	k_platform_syscall_fchmodat = 53,
	k_platform_syscall_lseek = 62,
	k_platform_syscall_setfsgid = 152,
	k_platform_syscall_geteuid = 175,
	k_platform_syscall_bpf = 280,
	k_platform_syscall_getrandom = 278,
	k_platform_syscall_gettid = 178,
	k_platform_syscall_prctl = 167,
	k_platform_syscall_syscalls = 434,
	k_platform_syscall_fspick = 433,
	k_platform_syscall_getxattr = 8,
	k_platform_syscall_setfsuid = 151,
	k_platform_syscall_setpgid = 154,
	k_platform_syscall_fcntl = 25,
	k_platform_syscall_mlockall = 230,
	k_platform_syscall_setresuid = 147,
	k_platform_syscall_msync = 227,
	k_platform_syscall_swapoff = 225,
	k_platform_syscall_brk = 214,
	k_platform_syscall_fchdir = 50,
	k_platform_syscall_mlock = 228,
	k_platform_syscall_sethostname = 161,
	k_platform_syscall_chdir = 49,
	k_platform_syscall_setresgid = 149,
	k_platform_syscall_kill = 129,
	k_platform_syscall_getpid = 172,
	k_platform_syscall_fchmod = 52,
	k_platform_syscall_readv = 65,
	k_platform_syscall_capget = 90,
	k_platform_syscall_tee = 77,
	k_platform_syscall_getgid = 176,
	k_platform_syscall_dup = 23,
	k_platform_syscall_nanosleep = 101,
	k_platform_syscall_linkat = 37,
	k_platform_syscall_write = 64,
	k_platform_syscall_vhangup = 58,
	k_platform_syscall_bind = 200,
	k_platform_syscall_setregid = 143,
	k_platform_syscall_setxattr = 5,
	k_platform_syscall_reboot = 142,
	k_platform_syscall_signalfd4 = 74,
	k_platform_syscall_close = 57,
	k_platform_syscall_fsmount = 432,
	k_platform_syscall_pwrite64 = 68,
	k_platform_syscall_mlock2 = 284,
	k_platform_syscall_setsockopt = 208,
	k_platform_syscall_madvise = 233,
	k_platform_syscall_membarrier = 283,
	k_platform_syscall_setsid = 157,
	k_platform_syscall_mkdirat = 34,
	k_platform_syscall_faccessat = 48,
	k_platform_syscall_getcpu = 168,
	k_platform_syscall_truncate = 45,
	k_platform_syscall_fsync = 82,
	k_platform_syscall_openat = 56,
	k_platform_syscall_gettimeofday = 169,
	k_platform_syscall_umask = 166,
	k_platform_syscall_getuid = 174,
	k_platform_syscall_flock = 32,
	k_platform_syscall_setreuid = 145,
	k_platform_syscall_munlock = 229,
	k_platform_syscall_newfstatat = 79,
	k_platform_syscall_quotactl = 60,
	k_platform_syscall_splice = 76,
	k_platform_syscall_dup3 = 24,
	k_platform_syscall_statfs = 43,
	k_platform_syscall_setpriority = 140,
	k_platform_syscall_getsockopt = 209,
	k_platform_syscall_removexattr = 14,
	k_platform_syscall_getresgid = 150,
	k_platform_syscall_getpriority = 141,
	k_platform_syscall_symlinkat = 36,
	k_platform_syscall_vmsplice = 75,
	k_platform_syscall_fdatasync = 83,
	k_platform_syscall_msgctl = 187,
	k_platform_syscall_unshare = 97,
	k_platform_syscall_recvmsg = 212,
	k_platform_syscall_munlockall = 231,
	k_platform_syscall_futex = 98,
	k_platform_syscall_lgetxattr = 9,
	k_platform_syscall_msgget = 186,
	k_platform_syscall_pwritev = 70,
	k_platform_syscall_kcmp = 272,
	k_platform_syscall_sendmmsg = 269,
	k_platform_syscall_eventfd2 = 19,
	k_platform_syscall_fsconfig = 431,
	k_platform_syscall_getresuid = 148,
	k_platform_syscall_acct = 89,
	k_platform_syscall_fstatfs = 44,
	k_platform_syscall_fchownat = 54,
	k_platform_syscall_fstat = 80,
	k_platform_syscall_prlimit64 = 261,
	k_platform_syscall_utimensat = 88,
	k_platform_syscall_setitimer = 103,
	k_platform_syscall_execveat = 281,
	k_platform_syscall_swapon = 224,
	k_platform_syscall_userfaultfd = 282,
	k_platform_syscall_setgroups = 159,
	k_platform_syscall_sendmsg = 211,
	k_platform_syscall_lsetxattr = 6,
	k_platform_syscall_syncfs = 267,
	k_platform_syscall_syslog = 116,
	k_platform_syscall_tkill = 130,
	k_platform_syscall_waitid = 95,
	k_platform_syscall_shmdt = 197,
};

#endif
