#ifndef KIplatform_syscall
#define KIplatform_syscall

enum k_platform_syscall {
	k_platform_syscall_fgetxattr = 231,
	k_platform_syscall_ioctl = 54,
	k_platform_syscall_getppid = 64,
	k_platform_syscall_getpgid = 132,
	k_platform_syscall_ipc = 117,
	k_platform_syscall_setregid32 = 204,
	k_platform_syscall_semctl = 394,
	k_platform_syscall_getpeername = 368,
	k_platform_syscall_symlink = 83,
	k_platform_syscall_clone = 120,
	k_platform_syscall_read = 3,
	k_platform_syscall_pipe = 42,
	k_platform_syscall_pause = 29,
	k_platform_syscall_semget = 393,
	k_platform_syscall_sigsuspend = 72,
	k_platform_syscall_setrlimit = 75,
	k_platform_syscall_mpx = 56,
	k_platform_syscall_getdents64 = 220,
	k_platform_syscall_seccomp = 354,
	k_platform_syscall_sync = 36,
	k_platform_syscall_listen = 363,
	k_platform_syscall_setgid = 46,
	k_platform_syscall_nfsservctl = 169,
	k_platform_syscall_sysinfo = 116,
	k_platform_syscall_ugetrlimit = 191,
	k_platform_syscall_fstat64 = 197,
	k_platform_syscall_mremap = 163,
	k_platform_syscall_mknodat = 297,
	k_platform_syscall_pipe2 = 331,
	k_platform_syscall_lock = 53,
	k_platform_syscall_personality = 136,
	k_platform_syscall_llistxattr = 233,
	k_platform_syscall_setns = 346,
	k_platform_syscall_readahead = 225,
	k_platform_syscall_getgid32 = 200,
	k_platform_syscall_connect = 362,
	k_platform_syscall_setdomainname = 121,
	k_platform_syscall_bdflush = 134,
	k_platform_syscall_msgsnd = 400,
	k_platform_syscall_fchown32 = 207,
	k_platform_syscall_statfs64 = 268,
	k_platform_syscall_fallocate = 324,
	k_platform_syscall_fsetxattr = 228,
	k_platform_syscall_sgetmask = 68,
	k_platform_syscall_sendfile = 187,
	k_platform_syscall_pselect6 = 308,
	k_platform_syscall_vserver = 273,
	k_platform_syscall_flistxattr = 234,
	k_platform_syscall_lchown = 16,
	k_platform_syscall_exit = 1,
	k_platform_syscall_setuid = 23,
	k_platform_syscall_eventfd = 323,
	k_platform_syscall_getsockname = 367,
	k_platform_syscall_umount = 22,
	k_platform_syscall_sendto = 369,
	k_platform_syscall_unlinkat = 301,
	k_platform_syscall_ppoll = 309,
	k_platform_syscall_setfsuid32 = 215,
	k_platform_syscall_keyctl = 288,
	k_platform_syscall_preadv2 = 378,
	k_platform_syscall_ftruncate = 93,
	k_platform_syscall_getdents = 141,
	k_platform_syscall_lremovexattr = 236,
	k_platform_syscall_writev = 146,
	k_platform_syscall_chroot = 61,
	k_platform_syscall_getitimer = 105,
	k_platform_syscall_utimes = 271,
	k_platform_syscall_adjtimex = 124,
	k_platform_syscall_msgrcv = 401,
	k_platform_syscall_setgid32 = 214,
	k_platform_syscall_sysfs = 135,
	k_platform_syscall_stat = 106,
	k_platform_syscall_break = 17,
	k_platform_syscall_stime = 25,
	k_platform_syscall_iopl = 110,
	k_platform_syscall_renameat2 = 353,
	k_platform_syscall_vm86 = 166,
	k_platform_syscall_renameat = 302,
	k_platform_syscall_fsopen = 430,
	k_platform_syscall_getgroups = 80,
	k_platform_syscall_settimeofday = 79,
	k_platform_syscall_getcwd = 183,
	k_platform_syscall_capset = 185,
	k_platform_syscall_getsid = 147,
	k_platform_syscall_vfork = 190,
	k_platform_syscall_truncate64 = 193,
	k_platform_syscall_stty = 31,
	k_platform_syscall_lchown32 = 198,
	k_platform_syscall_readlink = 85,
	k_platform_syscall_mbind = 274,
	k_platform_syscall_tgkill = 270,
	k_platform_syscall_futimesat = 299,
	k_platform_syscall_poll = 168,
	k_platform_syscall_execve = 11,
	k_platform_syscall_listxattr = 232,
	k_platform_syscall_putpmsg = 189,
	k_platform_syscall_rseq = 386,
	k_platform_syscall_geteuid32 = 201,
	k_platform_syscall_statx = 383,
	k_platform_syscall_ulimit = 58,
	k_platform_syscall_readlinkat = 305,
	k_platform_syscall_vm86old = 113,
	k_platform_syscall_creat = 8,
	k_platform_syscall_fremovexattr = 237,
	k_platform_syscall_ioperm = 101,
	k_platform_syscall_waitpid = 7,
	k_platform_syscall_recvmmsg = 337,
	k_platform_syscall_uselib = 86,
	k_platform_syscall_shmctl = 396,
	k_platform_syscall_recvfrom = 371,
	k_platform_syscall_mount = 21,
	k_platform_syscall_getrlimit = 76,
	k_platform_syscall_fadvise64 = 250,
	k_platform_syscall_fchown = 95,
	k_platform_syscall_munmap = 91,
	k_platform_syscall_mprotect = 125,
	k_platform_syscall_mincore = 218,
	k_platform_syscall_olduname = 109,
	k_platform_syscall_getegid = 50,
	k_platform_syscall_ptrace = 26,
	k_platform_syscall_chown = 182,
	k_platform_syscall_nice = 34,
	k_platform_syscall_accept4 = 364,
	k_platform_syscall_socketpair = 360,
	k_platform_syscall_wait4 = 114,
	k_platform_syscall_shmget = 395,
	k_platform_syscall_socket = 359,
	k_platform_syscall_mmap = 90,
	k_platform_syscall_shmat = 397,
	k_platform_syscall_sigaltstack = 186,
	k_platform_syscall_uname = 122,
	k_platform_syscall_pwritev2 = 379,
	k_platform_syscall_shutdown = 373,
	k_platform_syscall_fstatat64 = 300,
	k_platform_syscall_pread64 = 180,
	k_platform_syscall_times = 43,
	k_platform_syscall_sigreturn = 119,
	k_platform_syscall_getrusage = 77,
	k_platform_syscall_preadv = 333,
	k_platform_syscall_utime = 30,
	k_platform_syscall_umount2 = 52,
	k_platform_syscall_fchmodat = 306,
	k_platform_syscall_lseek = 19,
	k_platform_syscall_setresuid32 = 208,
	k_platform_syscall_setfsgid = 139,
	k_platform_syscall_geteuid = 49,
	k_platform_syscall_setfsgid32 = 216,
	k_platform_syscall_bpf = 357,
	k_platform_syscall_mkdir = 39,
	k_platform_syscall_prof = 44,
	k_platform_syscall_socketcall = 102,
	k_platform_syscall_getrandom = 355,
	k_platform_syscall_gettid = 224,
	k_platform_syscall_prctl = 172,
	k_platform_syscall_oldlstat = 84,
	k_platform_syscall_fspick = 433,
	k_platform_syscall_getxattr = 229,
	k_platform_syscall_setfsuid = 138,
	k_platform_syscall_setpgid = 57,
	k_platform_syscall_fcntl = 55,
	k_platform_syscall_mlockall = 152,
	k_platform_syscall_fstatfs64 = 269,
	k_platform_syscall_setresuid = 164,
	k_platform_syscall_fcntl64 = 221,
	k_platform_syscall_link = 9,
	k_platform_syscall_msync = 144,
	k_platform_syscall_swapoff = 115,
	k_platform_syscall_brk = 45,
	k_platform_syscall_ftime = 35,
	k_platform_syscall_fchdir = 133,
	k_platform_syscall_mlock = 150,
	k_platform_syscall_sethostname = 74,
	k_platform_syscall_chdir = 12,
	k_platform_syscall_setresgid = 170,
	k_platform_syscall_getresuid32 = 209,
	k_platform_syscall_kill = 37,
	k_platform_syscall_sigaction = 67,
	k_platform_syscall_getpid = 20,
	k_platform_syscall_fchmod = 94,
	k_platform_syscall_getpmsg = 188,
	k_platform_syscall_getegid32 = 202,
	k_platform_syscall_readv = 145,
	k_platform_syscall_capget = 184,
	k_platform_syscall_tee = 315,
	k_platform_syscall_getgid = 47,
	k_platform_syscall_dup = 41,
	k_platform_syscall_chmod = 15,
	k_platform_syscall_nanosleep = 162,
	k_platform_syscall_linkat = 303,
	k_platform_syscall_write = 4,
	k_platform_syscall_select = 82,
	k_platform_syscall_vhangup = 111,
	k_platform_syscall_chown32 = 212,
	k_platform_syscall_ssetmask = 69,
	k_platform_syscall_bind = 361,
	k_platform_syscall_setregid = 71,
	k_platform_syscall_signal = 48,
	k_platform_syscall_setxattr = 226,
	k_platform_syscall_idle = 112,
	k_platform_syscall_reboot = 88,
	k_platform_syscall_signalfd4 = 327,
	k_platform_syscall_close = 6,
	k_platform_syscall_fsmount = 432,
	k_platform_syscall_pwrite64 = 181,
	k_platform_syscall_readdir = 89,
	k_platform_syscall_oldstat = 18,
	k_platform_syscall_mlock2 = 376,
	k_platform_syscall_setsockopt = 366,
	k_platform_syscall_madvise = 219,
	k_platform_syscall_setgroups32 = 206,
	k_platform_syscall_membarrier = 375,
	k_platform_syscall_setsid = 66,
	k_platform_syscall_oldolduname = 59,
	k_platform_syscall_setreuid32 = 203,
	k_platform_syscall_ftruncate64 = 194,
	k_platform_syscall_mkdirat = 296,
	k_platform_syscall_faccessat = 307,
	k_platform_syscall_getcpu = 318,
	k_platform_syscall_lstat = 107,
	k_platform_syscall_getgroups32 = 205,
	k_platform_syscall_truncate = 92,
	k_platform_syscall_fsync = 118,
	k_platform_syscall_openat = 295,
	k_platform_syscall_gettimeofday = 78,
	k_platform_syscall_umask = 60,
	k_platform_syscall_getuid = 24,
	k_platform_syscall_fork = 2,
	k_platform_syscall_flock = 143,
	k_platform_syscall_setreuid = 70,
	k_platform_syscall_munlock = 151,
	k_platform_syscall_mknod = 14,
	k_platform_syscall_ustat = 62,
	k_platform_syscall_dup2 = 63,
	k_platform_syscall_signalfd = 321,
	k_platform_syscall_sigprocmask = 126,
	k_platform_syscall_quotactl = 131,
	k_platform_syscall_setresgid32 = 210,
	k_platform_syscall_splice = 313,
	k_platform_syscall_dup3 = 330,
	k_platform_syscall_statfs = 99,
	k_platform_syscall_setpriority = 97,
	k_platform_syscall_getsockopt = 365,
	k_platform_syscall_removexattr = 235,
	k_platform_syscall_getresgid = 171,
	k_platform_syscall_getpriority = 96,
	k_platform_syscall_symlinkat = 304,
	k_platform_syscall_vmsplice = 316,
	k_platform_syscall_getuid32 = 199,
	k_platform_syscall_fdatasync = 148,
	k_platform_syscall_msgctl = 402,
	k_platform_syscall_unshare = 310,
	k_platform_syscall_recvmsg = 372,
	k_platform_syscall_mmap2 = 192,
	k_platform_syscall_munlockall = 153,
	k_platform_syscall_rmdir = 40,
	k_platform_syscall_profil = 98,
	k_platform_syscall_futex = 240,
	k_platform_syscall_lgetxattr = 230,
	k_platform_syscall_lstat64 = 196,
	k_platform_syscall_msgget = 399,
	k_platform_syscall_pwritev = 334,
	k_platform_syscall_getpgrp = 65,
	k_platform_syscall_oldfstat = 28,
	k_platform_syscall_kcmp = 349,
	k_platform_syscall_sendmmsg = 345,
	k_platform_syscall_eventfd2 = 328,
	k_platform_syscall_fsconfig = 431,
	k_platform_syscall_access = 33,
	k_platform_syscall_getresuid = 165,
	k_platform_syscall_fstatfs = 100,
	k_platform_syscall_sendfile64 = 239,
	k_platform_syscall_acct = 51,
	k_platform_syscall_fchownat = 298,
	k_platform_syscall_fstat = 108,
	k_platform_syscall_prlimit64 = 340,
	k_platform_syscall_unlink = 10,
	k_platform_syscall_utimensat = 320,
	k_platform_syscall_setitimer = 104,
	k_platform_syscall_gtty = 32,
	k_platform_syscall_getresgid32 = 211,
	k_platform_syscall_execveat = 358,
	k_platform_syscall_time = 13,
	k_platform_syscall_rename = 38,
	k_platform_syscall_alarm = 27,
	k_platform_syscall_setuid32 = 213,
	k_platform_syscall_swapon = 87,
	k_platform_syscall_userfaultfd = 374,
	k_platform_syscall_stat64 = 195,
	k_platform_syscall_open = 5,
	k_platform_syscall_setgroups = 81,
	k_platform_syscall_sendmsg = 370,
	k_platform_syscall_lsetxattr = 227,
	k_platform_syscall_syncfs = 344,
	k_platform_syscall_syslog = 103,
	k_platform_syscall_sigpending = 73,
	k_platform_syscall_tkill = 238,
	k_platform_syscall_waitid = 284,
	k_platform_syscall_shmdt = 398,
};

#endif
